Name:		openconnect
Version:	2.26
Release:	%mkrel 5
Summary:	Open client for Cisco AnyConnect VPN
Group:		Networking/Other
License:	LGPLv2+
URL:		http://www.infradead.org/openconnect.html
Source:     ftp://ftp.infradead.org/pub/openconnect/openconnect-%{version}.tar.gz
Patch:      openconnect-2.01-fix-format-errors.patch
BuildRequires:	openssl-devel
BuildRequires:	libxml2-devel
BuildRequires:	gtk2-devel
BuildRequires:	libGConf2-devel
BuildRequires:	dbus-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This package provides a client for Cisco's "AnyConnect" VPN, which uses
HTTPS and DTLS protocols.

%package nm-auth-dialog
Summary:	Auth dialog for networkmanager openconnect plugin
Requires:   %{name} = %{version}-%{release}
Group:		Networking/Other

%description nm-auth-dialog
This package contains the authentication dialog for networkmanager openconnect
plugin.

%prep
%setup -q
%patch -p 1

%build
%make

%install
rm -rf %{buildroot}
%makeinstall_std
mkdir -p %{buildroot}%{_mandir}/man8
install -m 644 openconnect.8 %{buildroot}%{_mandir}/man8

# libexecdir is actually libdir on mandriva
install -d -m 755 %{buildroot}%{_libexecdir}
mv %{buildroot}%{_prefix}/libexec/nm-openconnect-auth-dialog \
    %{buildroot}%{_libexecdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc TODO COPYING.LGPL openconnect.html
%{_bindir}/openconnect
%{_mandir}/man8/*

%files nm-auth-dialog
%defattr(-,root,root)
%{_libexecdir}/nm-openconnect-auth-dialog


%changelog
* Mon Nov 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.26-5mdv2011.0
+ Revision: 603024
- better name for gui subpackage

* Mon Nov 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.26-4mdv2011.0
+ Revision: 603007
- split auth dialog into a subpackage, to avoid X11 dependencies

* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.26-3mdv2011.0
+ Revision: 602078
- don't forget build dependencies to really build networkmanager plugin

* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.26-2mdv2011.0
+ Revision: 601848
- don't remove network-manager plugin (thanks Andrey)

* Fri Sep 24 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.26-1mdv2011.0
+ Revision: 580910
- update to new version 2.26

* Tue Aug 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.25-1mdv2011.0
+ Revision: 571050
- update to new version 2.25

* Sat Aug 07 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.24-1mdv2011.0
+ Revision: 567316
- update to new version 2.24

* Tue Apr 06 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.22-1mdv2010.1
+ Revision: 532349
- update to new version 2.22

* Wed Jan 13 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.21-1mdv2010.1
+ Revision: 490729
- update to new version 2.21

* Wed Jan 06 2010 Frederik Himpe <fhimpe@mandriva.org> 2.20-1mdv2010.1
+ Revision: 486893
- update to new version 2.20

* Tue Dec 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.12-1mdv2010.1
+ Revision: 478981
- update to new version 2.12

* Sun Nov 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.11-1mdv2010.1
+ Revision: 468645
- update to new version 2.11

* Fri Aug 28 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.01-2mdv2010.0
+ Revision: 421873
- drop openssl versionned dependency

* Thu Aug 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.01-1mdv2010.0
+ Revision: 421763
- import openconnect


* Thu Aug 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.01-1mdv2010.0
- initial mdv package, shamelessly stolen from fedora 
